# $Revision: 1.21 $, $Date: 2005/03/28 19:33:17 $
Summary:	NetCDF: Network Common Data Form
Summary(pl):	NetCDF: obsuga wsplnego sieciowego formatu danych
Name:		netcdf
Version:	3.6.0
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.Z
# Source0-md5:	778cb368b890fe169542f2a4e2c5fd71
Patch0:		%{name}-shared.patch
Patch1:		%{name}-makefile.patch
URL:		http://www.unidata.ucar.edu/packages/netcdf/
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data. The netCDF software was developed at the Unidata
Program Center in Boulder, Colorado.

%description -l pl
NetCDF (Network Common Data Form) jest interfejsem dostpu do danych
zorganizowanych w tablice. Biblioteka netCDF definiuje niezaleny od
maszyny format reprezentowania danych naukowych. Interfejs oraz
biblioteka pozwalaj na tworzenie, dostp i wspdzielenie danych.
NetCDF powsta w Unidata Program Center w Boulder, Colorado.

%package devel
Summary:	Header files for netCDF
Summary(pl):	Pliki nagwkowe netCDF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for netCDF.

%description devel -l pl
Pliki nagwkowe do biblioteki netCDF.

%package static
Summary:	NetCDF - static libraries
Summary(pl):	Biblioteki statyczne netCDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of netCDF libraries.

%description static -l pl
Statyczne wersje bibliotek netCDF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd src

CFLAGS="%{rpmcflags} -Df2cFortran"
# too many hacks to rebuild
cp -f /usr/share/automake/config.* .
%configure

%{__make} \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_mandir}}

%{__make} -C src install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}

# resolve man names conflict
mv -f $RPM_BUILD_ROOT%{_mandir}/man3/netcdf.3f \
	$RPM_BUILD_ROOT%{_mandir}/man3/netcdff.3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc src/COPYRIGHT src/README src/RELEASE_NOTES src/fortran/cfortran.doc
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netcdf.spec,v $
Revision 1.21  2005/03/28 19:33:17  qboosh
- release 2

Revision 1.20  2005/03/28 19:33:01  qboosh
- refresh config.sub - now builds on amd64
- use standard configure, no longer 2.13-generated

Revision 1.19  2005/03/28 18:52:22  qboosh
- strict internal deps

Revision 1.18  2005/01/15 19:55:12  darekr
- updated to 3.6.0

Revision 1.17  2004/02/11 22:45:38  qboosh
- updated to 3.5.1
- updated shared patch, removed obsolete achack and c++ patches

Revision 1.16  2004/01/12 23:09:22  undefine
- use libdir to allow build on amd64, release 3

Revision 1.15  2004/01/08 09:39:39  qboosh
- updated shared patch, added achack,c++ patches; builds now

Revision 1.14  2004/01/07 21:56:32  andree
- BR: gcc-g77
- fixed docs, added TODO

Revision 1.13  2003/05/28 12:59:51  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:51:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/12/13 22:46:55  ankry
- adapterized

Revision 1.10  2002/11/25 14:17:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/07/14 18:34:55  kloczek
- use new %doc.

Revision 1.8  2002/04/14 20:27:01  marcus
- rel.2.

Revision 1.7  2002/04/14 20:26:22  marcus
- %%configure2_13
- fix for cxx makefile
- stbr

Revision 1.6  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/13 18:56:32  qboosh
- adapterized, BuildRequires: libtool

Revision 1.3  2001/04/04 22:17:12  qboosh
- updated to 3.5.0
- use %%rpmcflags

Revision 1.2  2001/03/14 20:52:59  kloczek
- corrected Source url.

Revision 1.1  2001/03/14 17:43:08  qboosh
- spec written from scratch
